#
# spec file for package perl-Parse-RecDescent (Version 1.80)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Parse-RecDescent
BuildRequires:  suse-macros
License:        Artistic License
Group:          Development/Libraries/Perl
Provides:       ParseRecDescent perl_prd
Obsoletes:      perl_prd
Requires:       perl = %{perl_version}
Autoreqprov:    on
Version:        1.80
Release:        259.2
Summary:        Perl RecDescent Module
Source:         Parse-RecDescent-1.80.tar.gz
Patch:          Parse-RecDescent-1.80.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
RecDescent incrementally generates top-down recursive-descent text
parsers from simple yacc-like grammar specifications.



Authors:
--------
    Damian Conway <damian@csse.monash.edu.au>

%prep
%setup -n Parse-RecDescent-1.80
%patch

%build
find -type f | xargs chmod 644
perl Makefile.PL 
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
rm -f $RPM_BUILD_ROOT/%perl_vendorlib/Text/Balanced.pm
rm -f $RPM_BUILD_ROOT/%perl_vendorlib/Text/Balanced.pod
rm -f $RPM_BUILD_ROOT/%{_mandir}/man3/Text::Balanced.3pm*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/var/adm/perl-modules/perl-Parse-RecDescent
%dir %perl_vendorlib/Parse
%perl_vendorlib/Parse/RecDescent.*
%dir %{perl_vendorarch}/auto/Parse
%{perl_vendorarch}/auto/Parse/RecDescent
%{_mandir}/man3/Parse::RecDescent.3pm.gz

%changelog -n perl-Parse-RecDescent
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon May 10 2004 - ro@suse.de
- fix warning/error when used from yast2 (#39963)
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 - ro@suse.de
- install to vendor location
* Tue Jul 01 2003 - ro@suse.de
- use perl_process_packlist macro
* Tue May 13 2003 - ro@suse.de
- use defattr
* Thu Aug 08 2002 - mls@suse.de
- use sitearch macro
* Mon Jul 29 2002 - mls@suse.de
- update to version 1.80
- don't pack Text::Balanced, it's included in perl-5.8
* Mon Feb 25 2002 - ro@suse.de
- use defattr (-,root,root)
- remove x-bits from files before build
* Tue Nov 07 2000 - ro@suse.de
- renamed package perl_prd to perl-Parse-RecDescent
- added build root
* Tue Jun 06 2000 - ro@suse.de
- created package version 1.78
